import 'package:crab_ui/contact.dart';
import 'package:flutter/material.dart';
import 'home_page.dart';
import 'login.dart';


void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(HyM());
}

class HyM extends StatelessWidget {
  final AuthService _authService = AuthService();
  HyM({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
      title: 'HyM',
      // home: HomeScreen(),
      initialRoute: "/",

      routes: {
        "/": (context) => SplashScreen(),
        "/login": (context) => const LoginPage(),
        "/home": (context) => HomeScreen(),
        "/contacts": (context) => ContactsPage(),
      },
    );
  }
}
